Android-Sicherheitsbulletin – Dezember 2021

Veröffentlicht am 6. Dezember 2021 | Aktualisiert am 8. Dezember 2021

Das Android Security Bulletin enthält Details zu Sicherheitslücken, die Android-Geräte betreffen. Sicherheitspatch-Level vom 05.12.2021 oder höher beheben all diese Probleme. Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

Android-Partner werden mindestens einen Monat vor der Veröffentlichung über alle Probleme informiert. Quellcode-Patches für diese Probleme wurden im Android Open Source Project (AOSP)-Repository veröffentlicht und von diesem Bulletin verlinkt. Dieses Bulletin enthält auch Links zu Patches außerhalb von AOSP

Das schwerwiegendste dieser Probleme ist eine kritische Sicherheitslücke in der Media Framework-Komponente, die zu einer Remote-Offenlegung von Informationen führen kann, ohne dass zusätzliche Ausführungsberechtigungen erforderlich sind. Die Bewertung des Schweregrads basiert auf den Auswirkungen, die das Ausnutzen der Schwachstelle möglicherweise auf einem betroffenen Gerät haben würde, vorausgesetzt, die Plattform- und Dienstminderungen werden zu Entwicklungszwecken deaktiviert oder erfolgreich umgangen.

Weitere Informationen zu den Schutzmechanismen der Android-Sicherheitsplattform und Google Play Protect, die die Sicherheit der Android-Plattform verbessern, finden Sie im Abschnitt „Abwehrmaßnahmen für Android und Google Play Protect “.

Minderungen für Android- und Google-Dienste

Dies ist eine Zusammenfassung der Schutzmaßnahmen, die von der Android-Sicherheitsplattform und von Dienstschutzmaßnahmen wie Google Play Protect bereitgestellt werden. Diese Fähigkeiten verringern die Wahrscheinlichkeit, dass Sicherheitslücken auf Android erfolgreich ausgenutzt werden könnten.

  • Die Nutzung für viele Probleme auf Android wird durch Verbesserungen in neueren Versionen der Android-Plattform erschwert. Wir empfehlen allen Benutzern, nach Möglichkeit auf die neueste Version von Android zu aktualisieren.
  • Das Android-Sicherheitsteam überwacht Google Play Protect aktiv auf Missbrauch und warnt Benutzer vor potenziell schädlichen Anwendungen . Google Play Protect ist standardmäßig auf Geräten mit Google Mobile Services aktiviert und ist besonders wichtig für Benutzer, die Apps von außerhalb von Google Play installieren.

2021-12-01 Sicherheits-Patch-Level-Schwachstellendetails

In den folgenden Abschnitten stellen wir Details für jede der Sicherheitsschwachstellen bereit, die für das Patch-Level 2021-12-01 gelten. Schwachstellen werden unter der betroffenen Komponente gruppiert. Die Probleme werden in den folgenden Tabellen beschrieben und umfassen CVE-ID, zugehörige Referenzen, Art der Schwachstelle , Schweregrad und aktualisierte AOSP-Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, wie die AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern nach der Fehler-ID verknüpft. Geräte mit Android 10 und höher erhalten möglicherweise Sicherheitsupdates sowie Google Play-Systemupdates .

Rahmen

Die schwerwiegendste Schwachstelle in diesem Abschnitt könnte zu einer Speicherbeschädigung durch einen lokalen Angreifer führen, ohne dass Berechtigungen oder Benutzerinteraktionen erforderlich sind.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2021-0955 A-192085766 EoP Hoch 11
CVE-2021-0970 A-196970023 EoP Hoch 9, 10, 11, 12
CVE-2021-0704 A-179338675 ICH WÜRDE Hoch 9, 10, 11

Medienrahmen

Die schwerwiegendste Schwachstelle in diesem Abschnitt kann zur Offenlegung von Informationen aus der Ferne führen, ohne dass zusätzliche Ausführungsberechtigungen erforderlich sind.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2021-0967 A-199065614 ICH WÜRDE Hoch 10, 11, 12
RCE Kritisch 9
CVE-2021-0964 A-193363621 ICH WÜRDE Hoch 9, 10, 11, 12

System

Die schwerwiegendste Schwachstelle in diesem Abschnitt könnte es einem entfernten Angreifer ermöglichen, beliebigen Code im Kontext eines privilegierten Prozesses auszuführen.

CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2021-0968 A-197868577 RCE Kritisch 9, 10, 11, 12
CVE-2021-0956 A-189942532 EoP Kritisch 11, 12
CVE-2021-0953 A-184046278 EoP Hoch 9, 10, 11, 12
CVE-2021-0954 A-143559931 EoP Hoch 10, 11
CVE-2021-0963 A-199754277 [ 2 ] EoP Hoch 9, 10, 11, 12
CVE-2021-0965 A-194300867 EoP Hoch 9, 10, 11, 12
CVE-2021-0952 A-195748381 ICH WÜRDE Hoch 9, 10, 11, 12
CVE-2021-0966 A-198346478 ICH WÜRDE Hoch 11, 12
CVE-2021-0958 A-200041882 DOS Mäßig 11, 12
CVE-2021-0969 A-199922685 DOS Mäßig 10, 11

Google Play-Systemaktualisierungen

Die folgenden Probleme sind in Project Mainline-Komponenten enthalten.

Komponente CVE
Medien-Codecs CVE-2021-0964
Media Codecs, Media Framework-Komponenten CVE-2021-0967

2021-12-05 Sicherheits-Patch-Level-Schwachstellendetails

In den folgenden Abschnitten stellen wir Details für jede der Sicherheitsschwachstellen bereit, die für das Patch-Level vom 05.12.2021 gelten. Schwachstellen werden unter der betroffenen Komponente gruppiert. Die Probleme werden in den folgenden Tabellen beschrieben und umfassen CVE-ID, zugehörige Referenzen, Art der Schwachstelle , Schweregrad und aktualisierte AOSP-Versionen (falls zutreffend). Wenn verfügbar, verknüpfen wir die öffentliche Änderung, die das Problem behoben hat, mit der Fehler-ID, wie die AOSP-Änderungsliste. Wenn sich mehrere Änderungen auf einen einzelnen Fehler beziehen, werden zusätzliche Referenzen mit Nummern nach der Fehler-ID verknüpft.

Medienrahmen

Die Schwachstelle in diesem Abschnitt kann zur Offenlegung von Informationen aus der Ferne führen, ohne dass zusätzliche Ausführungsberechtigungen erforderlich sind.
CVE Verweise Typ Schwere Aktualisierte AOSP-Versionen
CVE-2021-0971 A-188893559 ICH WÜRDE Hoch 9, 10, 11, 12

Kernel-Komponenten

Die schwerste Schwachstelle in diesem Abschnitt könnte zu einem Integer-Überlauf, einem Out-of-Bounds Write und einer Eskalation zum Root durch einen nicht privilegierten Benutzer führen.
CVE Verweise Typ Schwere Komponente
CVE-2021-33909 A-195082750
Upstream-Kernel
EoP Hoch Dateisystem
CVE-2021-38204 A-196448784
Upstream-Kernel
EoP Hoch USB
CVE-2021-0961 A-196046570
Upstream-Kernel [ 2 ] [ 3 ]
ICH WÜRDE Mäßig Netzfilter

MediaTek-Komponenten

Diese Schwachstellen betreffen MediaTek-Komponenten und weitere Details sind direkt von MediaTek erhältlich. Die Bewertung des Schweregrads dieser Probleme wird direkt von MediaTek bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2021-0675
A-201895896
M-ALPS06064258 *
Hoch Alac-Decoder
CVE-2021-0904
A-201779035
M-ALPS06076938 *
Hoch SRAMROM

Qualcomm-Komponenten

Diese Schwachstellen betreffen Qualcomm-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2021-30262
A-190402578
QC-CR#2774954
Hoch Modem
CVE-2021-30335
A-199191310
QC-CR#2964455
Hoch Kernel
CVE-2021-30337
A-199190644
QC-CR#2971293
Hoch Kernel

Closed-Source-Komponenten von Qualcomm

Diese Schwachstellen betreffen Qualcomm-Closed-Source-Komponenten und werden im entsprechenden Qualcomm-Sicherheitsbulletin oder Sicherheitshinweis näher beschrieben. Die Bewertung des Schweregrads dieser Probleme wird direkt von Qualcomm bereitgestellt.

CVE Verweise Schwere Komponente
CVE-2021-30275
A-190403081 * Kritisch Closed-Source-Komponente
CVE-2021-30276
A-190404445 * Kritisch Closed-Source-Komponente
CVE-2021-30351
A-201430561 * Kritisch Closed-Source-Komponente
CVE-2020-11263
A-190404447 * Hoch Closed-Source-Komponente
CVE-2021-1894
A-190404405 * Hoch Closed-Source-Komponente
CVE-2021-1918
A-190403729 * Hoch Closed-Source-Komponente
CVE-2021-30267
A-190403212 * Hoch Closed-Source-Komponente
CVE-2021-30268
A-190404446 * Hoch Closed-Source-Komponente
CVE-2021-30269
A-190403511 * Hoch Closed-Source-Komponente
CVE-2021-30270
A-190402575 * Hoch Closed-Source-Komponente
CVE-2021-30271
A-190404402 * Hoch Closed-Source-Komponente
CVE-2021-30272
A-190404323 * Hoch Closed-Source-Komponente
CVE-2021-30273
A-190404403 * Hoch Closed-Source-Komponente
CVE-2021-30274
A-190403731 * Hoch Closed-Source-Komponente
CVE-2021-30278
A-190403213 * Hoch Closed-Source-Komponente
CVE-2021-30279
A-190402580 * Hoch Closed-Source-Komponente
CVE-2021-30282
A-190404328 * Hoch Closed-Source-Komponente
CVE-2021-30283
A-190403513 * Hoch Closed-Source-Komponente
CVE-2021-30289
A-190404404 * Hoch Closed-Source-Komponente
CVE-2021-30293
A-190404327 * Hoch Closed-Source-Komponente
CVE-2021-30303
A-199192449 * Hoch Closed-Source-Komponente
CVE-2021-30336
A-199191065 * Hoch Closed-Source-Komponente

Google Play-Systemaktualisierungen

Die folgenden Probleme sind in Project Mainline-Komponenten enthalten.

Komponente CVE
Media Framework-Komponenten CVE-2021-0971

Häufige Fragen und Antworten

In diesem Abschnitt werden allgemeine Fragen beantwortet, die nach dem Lesen dieses Bulletins auftreten können.

1. Wie kann ich feststellen, ob mein Gerät aktualisiert wurde, um diese Probleme zu beheben?

Informationen zum Überprüfen des Sicherheitspatch-Levels eines Geräts finden Sie unter Überprüfen und Aktualisieren Ihrer Android-Version .

  • Sicherheitspatch-Level vom 1.12.2021 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheitspatch-Level 2021-12-01.
  • Sicherheits-Patch-Level vom 5. Dezember 2021 oder höher beheben alle Probleme im Zusammenhang mit dem Sicherheits-Patch-Level vom 5. Dezember 2021 und allen vorherigen Patch-Levels.

Gerätehersteller, die diese Updates enthalten, sollten die Patch-String-Ebene auf Folgendes festlegen:

  • [ro.build.version.security_patch]:[2021-12-01]
  • [ro.build.version.security_patch]:[2021-12-05]

Für einige Geräte mit Android 10 oder höher enthält das Google Play-Systemupdate eine Datumszeichenfolge, die dem Sicherheitspatch vom 01.12.2021 entspricht. Weitere Informationen zum Installieren von Sicherheitsupdates finden Sie in diesem Artikel .

2. Warum enthält dieses Bulletin zwei Sicherheits-Patch-Stufen?

Dieses Bulletin enthält zwei Sicherheits-Patch-Stufen, sodass Android-Partner die Flexibilität haben, eine Teilmenge von Schwachstellen, die auf allen Android-Geräten ähnlich sind, schneller zu beheben. Android-Partner werden ermutigt, alle Probleme in diesem Bulletin zu beheben und das neueste Sicherheitspatch-Level zu verwenden.

  • Geräte, die das Sicherheitspatch-Level 2021-12-01 verwenden, müssen alle Probleme enthalten, die mit diesem Sicherheitspatch-Level verbunden sind, sowie Korrekturen für alle Probleme, die in früheren Sicherheitsbulletins gemeldet wurden.
  • Geräte, die das Sicherheitspatch-Level vom 05.12.2021 oder höher verwenden, müssen alle anwendbaren Patches in diesem (und früheren) Sicherheitsbulletins enthalten.

Partner werden ermutigt, die Korrekturen für alle Probleme, die sie beheben, in einem einzigen Update zu bündeln.

3. Was bedeuten die Einträge in der Spalte Typ ?

Einträge in der Spalte Typ der Tabelle mit den Schwachstellendetails verweisen auf die Klassifizierung der Sicherheitslücke.

Abkürzung Definition
RCE Remote-Code-Ausführung
EoP Erhöhung des Privilegs
ICH WÜRDE Offenlegung von Informationen
DOS Denial of Service
N / A Klassifizierung nicht verfügbar

4. Was bedeuten die Einträge in der Spalte Referenzen ?

Einträge in der Spalte „ Referenzen “ der Tabelle mit den Schwachstellendetails können ein Präfix enthalten, das die Organisation angibt, zu der der Referenzwert gehört.

Präfix Bezug
EIN- Android-Fehler-ID
QC- Qualcomm-Referenznummer
M- MediaTek-Referenznummer
N- NVIDIA-Referenznummer
B- Broadcom-Referenznummer
U- UNISOC-Referenznummer

5. Was bedeutet ein * neben der Android-Fehler-ID in der Spalte „ Referenzen “?

Ausgaben, die nicht öffentlich zugänglich sind, haben ein * neben der entsprechenden Referenz-ID. Das Update für dieses Problem ist im Allgemeinen in den neuesten binären Treibern für Pixel-Geräte enthalten, die auf der Google Developer-Website verfügbar sind.

6. Warum werden Sicherheitslücken zwischen diesem Bulletin und Sicherheitsbulletins für Geräte/Partner, wie dem Pixel-Bulletin, aufgeteilt?

Sicherheitslücken, die in diesem Sicherheitsbulletin dokumentiert sind, sind erforderlich, um die neueste Sicherheitspatchebene auf Android-Geräten zu deklarieren. Zusätzliche Sicherheitslücken, die in den Sicherheitsbulletins der Geräte/Partner dokumentiert sind, sind für die Deklaration eines Sicherheitspatch-Levels nicht erforderlich. Hersteller von Android-Geräten und -Chipsätzen können auch Details zu Sicherheitslücken veröffentlichen, die für ihre Produkte spezifisch sind, wie Google , Huawei , LGE , Motorola , Nokia oder Samsung .

Versionen

Ausführung Datum Anmerkungen
1.0 6. Dezember 2021 Bulletin veröffentlicht
1.1 8. Dezember 2021 Bulletin überarbeitet, um AOSP-Links aufzunehmen